## gate
Interface Controller

All Superinterfaces:
  Executable, FeatureBearer, NameBearer, Resource, Serializable

All Known Implementing Classes:
  AbstractController

public interface Controller
extends Resource, Executable, NameBearer, FeatureBearer

Models the execution of groups of ProcessingResources.

Method Summary
`Collection` `getPRs()` Returns all the `ProcessingResource`s contained by this controller.
`void` `setPRs(Collection PRs)` Populates this controller from a collection of `ProcessingResource`s (optional operation).

Methods inherited from interface gate.Resource
`cleanup, getParameterValue, init, setParameterValue, setParameterValues`

Methods inherited from interface gate.util.FeatureBearer
`getFeatures, setFeatures`

Methods inherited from interface gate.util.NameBearer
`getName, setName`

Methods inherited from interface gate.Executable
`execute, interrupt, isInterrupted`

Method Detail

### getPRs

    public Collection getPRs()

  Returns all the `ProcessingResource`s contained by this controller. The actual type of collection returned depends on the controller type.

### setPRs

    public void setPRs(Collection PRs)

  Populates this controller from a collection of `ProcessingResource`s (optional operation). Controllers that are serializable must implement this method needed by GATE to restore their contents.
  Throws:
    `UnsupportedOperationException` - if the `setPRs` method is not supported by this controller.